web-dev-qa-db-ja.com

エラー:ローカルワークスペースファイル( 'angular.json')が見つかりませんでした

travis-ciをGitHubアカウントと統合しました( https://github.com/pradeep0601/Angular5-Router-App )。

@angular/cliのバージョンを1.7.4から6.0.0-rc.3に更新すると、ビルドはエラーで失敗し始めました。

Local workspace file ('angular.json') could not be found.
Error: Local workspace file ('angular.json') could not be found.
    at WorkspaceLoader._getProjectWorkspaceFilePath (/home/travis/build/pradeep0601/Angular5-Router-App/node_modules/@angular/cli/models/workspace-loader.js:37:19)
    at WorkspaceLoader.loadWorkspace (/home/travis/build/pradeep0601/Angular5-Router-App/node_modules/@angular/cli/models/workspace-loader.js:24:21)
    at TestCommand._loadWorkspaceAndArchitect (/home/travis/build/pradeep0601/Angular5-Router-App/node_modules/@angular/cli/models/architect-command.js:177:32)
    at TestCommand.<anonymous> (/home/travis/build/pradeep0601/Angular5-Router-App/node_modules/@angular/cli/models/architect-command.js:45:25)
    at Generator.next (<anonymous>)
    at /home/travis/build/pradeep0601/Angular5-Router-App/node_modules/@angular/cli/models/architect-command.js:7:71
    at new Promise (<anonymous>)
    at __awaiter (/home/travis/build/pradeep0601/Angular5-Router-App/node_modules/@angular/cli/models/architect-command.js:3:12)
    at TestCommand.initialize (/home/travis/build/pradeep0601/Angular5-Router-App/node_modules/@angular/cli/models/architect-command.js:44:16)
    at /home/travis/build/pradeep0601/Angular5-Router-App/node_modules/@angular/cli/models/command-runner.js:100:23

実行環境をよりよく理解するためのpackage.jsonスニペット:

    "@angular/cli": "6.0.0-rc.3",
    "@angular/compiler-cli": "^5.2.0",
    "@angular/language-service": "^5.2.0",
    "@types/jasmine": "~2.8.3",
    "@types/jasminewd2": "~2.0.2",
179
Pradeep

私はちょうど同じ問題を抱えていました。

それはリリースv6.0.0-rc.2に関連しています、 https://github.com/angular/angular-cli/releases

新しい設定フォーマット新しいファイルはangular.jsonにあります(ただし、.angular.jsonも受け入れられます)。 CLI 1.7プロジェクトでng updateを実行すると、新しい設定に移動します。

私は実行する必要がありました:

ng update @angular/cli --migrate-only --from=1.7.4

これにより.angular-cli.jsonが削除され、angular.jsonが作成されました。

これが1.7.4を使用しているプロジェクトにつながる場合は、ローカルでv6をインストールしてください。

npm install --save-dev @angular/[email protected]

そしてもう一度プロジェクトを更新してみてください。

ng update @angular/cli --migrate-only --from=1.7.4
301
Lenni

同じエラーメッセージが表示されました。私にとっては愚かなミスでした。私はAngularプロジェクトがあるディレクトリでng serveを実行していませんでした。このコマンドを実行する前に、正しいディレクトリ(プロジェクトディレクトリ)にいることを確認してください。

68
DRG

最近のバージョンでは、--migrate-onlyなしでリポジトリを更新しました。

更新しました ng更新

Angular CLI設定形式が変更されました。次のコマンドを実行すると、既存の設定を自動的に更新できます。

ng update @angular/cli
            Updating karma configuration
            Updating configuration
            Removing old config file (.angular-cli.json)
            Writing config file (angular.json)
            Some configuration options have been changed, please make sure to update any npm scripts which you may have modified.
DELETE .angular-cli.json
CREATE angular.json (3684 bytes)
UPDATE karma.conf.js (1040 bytes)
UPDATE src/tsconfig.spec.json (322 bytes)
UPDATE package.json (1340 bytes)
UPDATE tslint.json (3140 bytes)
35
Sundara

Angular cliの古いバージョンをアンインストールし、Angular CLI globalをインストールします。

Angularcliグローバルパッケージを次のバージョン "@ angular/compiler-cli"に更新します: "^ 6.0.0"

npm uninstall -g @angular/cli
npm cache verify
npm install -g @angular/[email protected]

次のコマンドを実行して、新しいプロジェクトとデフォルトのアプリケーションを生成します。

ng new my-project
cd my-project
ng serve
16
Sanjay kumar

angular cliバージョンをアップデートした直後に同じ問題に直面しました。

私が1.7.4を使っていた以前は、angular cli 6.0.8にアップグレードしました。

AngularCliグローバルを更新するには /

npm uninstall -g angular-cli
npm cache clean 
npm install -g @angular/[email protected]

AngularCli dev-を更新するには /

npm uninstall --save-dev angular-cli
npm install --save-dev @angular/[email protected]
npm install

npmインストール後の監査問題を修正するには、 - /

npm audit fix

"angular.json"に関連する問題を解決するために: -

ng update @angular/cli --migrate-only --from=1.7.4

これが助けになることを願います:)

16
Vikash Pandey

バージョンがわからない場合は、現在のプロジェクトが作成されているので、--fromコマンドを省略して--migrate-onlyと入力します。

ng update @ angular/cli --migrate-only

8
vipin cp

下記のコマンドを使ってみてください。

ng update @angular/cli --migrate-only --from=1.7.4

以下を実行します

  • カルマ設定の更新

  • 設定を更新しています

  • 古い設定ファイル(.angular-cli.json)を削除する

  • 設定ファイルを書く(angular.json)

Plsは上記のコマンドはあなたがファイル.angular-cli.jsonを持っているフォルダで実行されるべきであり、それからangular.jsonに置き換えられることに注意してください。

8
TechSingh

すべての種類の更新コマンドーがそれをしないならば。 package-lock.json を削除してみてください。それから npm install を実行します。大量のupdate commandoを通過した後、私のためにトリックをしました。

7
Dennis Gadomski

わたしにはできる:

フォルダを削除 node_modules

コマンドを実行します。 npm install

(それが最初にはたらかない場合、これを2か3回繰り返して下さい、それは面白いがそれは私のために働きます。)

4
Shubham Verma

私は同じ問題を抱えていました、そして、私がしたことは私のために働きました:

  1. Package.jsonファイルの中で、Angular CLIバージョンを希望のバージョンに更新します。

    "devDependencies": { ...
      "@angular/cli": "^6.0.8",
      ...
    }
    
  2. 以下を使用して依存関係を更新する前にプロジェクトをクリーンアップするためにnode_modulesフォルダーを削除します。

    npm install
    
    ng update @angular/cli
    
  3. 私のプロジェクトをもう一度ビルドしてみます(最後の成功した試み)

    ng build --prod
    
3
Juan Monsalve

コマンドを実行しているフォルダ構造を確認し、構造内にangular.jsonファイルがあるはずの場所でコマンド「ng serve」を実行します。

コマンドを実行すると、angular.jsonファイルがデフォルトで生成されます。

npm install -g新しいProject_nameを作成してからproject_folderをcdし、次にng serveを実行します。それは私のために働いた

3
Vinay Reddy

コンソールで run ng update @angular/cliを実行するだけです。コマンドを実行した後にいくつかの脆弱性が見つかるかもしれませんが(npmを使用している場合)、コンソールで run npm audit fixを実行するだけで問題を解決できます。このコマンドはプロジェクトの脆弱性をスキャンし、これらの依存関係の更新をインストールすることによって互換性の問題も解決します。これらの脆弱性をすぐに自動修正したくない場合は、 Dry Run: by running npm audit fix --dry-run -jsonをコンソールで実行してください。これにより、コンソールのjsonの形式で、コマンドnpm audit fixが何をするのかがわかります。

3
EZCity

私にとってうまくいったのは new Angularプロジェクトを作成して、Angular.jsonファイルがであるという事実のために問題のあるAngular.jsonファイルをプロジェクトにコピーすることでした。欠けている

2
Mateo

私はまた同じ問題に直面し、私はちょうどコマンドの下に実行しました。

ng update @ angular/cli - 移行のみ--from = 1.6.4

単にangular-cli.jsonを削除してangular.jsonを作成するだけです。あなたはこれをログで見つけることができます。

実行を開始したらあなたは以下のログをあなたの端末に見ることができるでしょう。

        Updating karma configuration
        Updating configuration
        Removing old config file (.angular-cli.json)
        Writing config file (angular.json)
        Some configuration options have been changed, please make sure to update any                                     
        npm scripts which you may have modified.
        DELETE .angular-cli.json
        CREATE angular.json (3599 bytes)
        UPDATE karma.conf.js (962 bytes)
        UPDATE src/tsconfig.spec.json (324 bytes)
        UPDATE package.json (1405 bytes)
        UPDATE tsconfig.json (407 bytes)
        UPDATE tslint.json (3026 bytes)
1
Ambuj Khanna
~/Desktop $ ng serve

ローカルワークスペースファイル( 'angular.json')が見つかりませんでした。

エラー:ローカルワークスペースファイル( 'angular.json')が見つかりませんでした。

at WorkspaceLoader._getProjectWorkspaceFilePath (/usr/lib/node_modules/@angular/cli/models/workspace-loader.js:37:19)
at WorkspaceLoader.loadWorkspace (/usr/lib/node_modules/@angular/cli/models/workspace-loader.js:24:21)
at ServeCommand._loadWorkspaceAndArchitect (/usr/lib/node_modules/@angular/cli/models/architect-command.js:180:32)
at ServeCommand.<anonymous> (/usr/lib/node_modules/@angular/cli/models/architect-command.js:47:25)
at Generator.next (<anonymous>)
at /usr/lib/node_modules/@angular/cli/models/architect-command.js:7:71
at new Promise (<anonymous>)
at __awaiter (/usr/lib/node_modules/@angular/cli/models/architect-command.js:3:12)
at ServeCommand.initialize (/usr/lib/node_modules/@angular/cli/models/architect-command.js:46:16)
at Object.<anonymous> (/usr/lib/node_modules/@angular/cli/models/command-runner.js:87:23)

これは、Angularプロジェクトディレクトリを選択していないためです。

次のようになります。

〜/ Desktop/angularproject $ ngサーブ

0
Manu R S

ディレクトリを確認するだけで、プロジェクトを作成したディレクトリと同じディレクトリで「ng serve」を実行する必要があります。

そのため、まずプロジェクトディレクトリに入力します。

0
satywan kumar

私にとっては、Railsプロジェクトフォルダ内にAngularプロジェクトフォルダがあり、すべてのAngular Updateコマンドを実際のAngularフォルダではなくRails親フォルダで実行していることが問題でした。

0
Niek

私はIonic 4アプリをpwaとして実行するように設定しようとしていました。コマンドを実行すると:

ng add @angular/pwa

...エラーメッセージが表示されました。試行錯誤の末、私は自分のプロジェクトが作成されたときにstartコマンドが間違っていることを発見しました。私はIonic 3バージョンを使っていました:

ionic start myApp tabs --type=ionic-angular

そして正しいのは:

ionic start myApp tabs --type=angular

タイプに「イオン性」がない。これでエラーが解決しました。

0
Nowdeen

Dockerコンテナ内にこのエラーメッセージがあります。私はそれを加えて解決しました:

WORKDIR /usr/src

dockerfileに。

0
Nae

私は同じ問題を抱えていて、私のプロジェクトにpackage.jsonがないことを発見しました(しかしpackage-lock.jsonだけ)。そして私は・・・それから私は

  1. ソース管理からpackage.jsonを復元しました
  2. グローバルおよびローカルのAngular-Cliバージョンをアンインストールした(説明にあるように)
  3. 標準のアップグレード手順に従った

..そしてすべてうまくいきました。それを理解するためにしばらく時間がかかりましたが、それは私のためにそれをしました。

0
Stefan de Groot

Angular 5.2から6に移行するには、このリンクを確認してください。 https://update.angular.io/

バージョン8.9へのアップグレードは私のために働きました。 enter image description here

0
raga

私にとっては、問題はグローバルな @ angular/cli versionと @ angular/compiler-cli が異なっていたためです。 package.json を調べてください。

...
"@angular/cli": "6.0.0-rc.3",
"@angular/compiler-cli": "^5.2.0",
...

また、一致しない場合は、いずれかを更新またはダウングレードします。

0
Filip Molcik